;;; oni-elm.el --- Elm configuration                 -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.1123.003612
;; Package-Requires: (elm-mode oni-lsp rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Elm configuration

;;; Code:

(add-hook 'elm-mode-hook 'display-fill-column-indicator-mode)
(add-hook 'elm-mode-hook 'electric-indent-local-mode)
(add-hook 'elm-mode-hook 'electric-pair-local-mode)
(add-hook 'elm-mode-hook 'lsp)
(add-hook 'elm-mode-hook 'rainbow-delimiters-mode)

(provide 'oni-elm)
;;; oni-elm.el ends here
