;;; oni-hy.el --- Configuration for hy-mode          -*- lexical-binding: t; -*-

;; Copyright (C) 2023  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2023.0714.002605
;; Package-Requires: (hy-mode oni-paredit oni-yasnippet rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; My configuration for hy-mode.

;;; Code:

(add-hook 'hy-mode-hook 'rainbow-delimiters-mode)
(add-hook 'hy-mode-hook 'paredit-mode)
(add-hook 'hy-mode-hook 'yas-minor-mode)

(provide 'oni-hy)
;;; oni-hy.el ends here
