;;; oni-lua.el --- Configuration for programming in Lua  -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <chelys@rincewind>
;; Keywords: local
;; Version: 2021.1123.003626
;; Package-Requires: (lua-mode rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; This is my configuration for working with Lua files.

;;; Code:

(add-hook 'lua-mode-hook 'display-fill-column-indicator-mode)
(add-hook 'lua-mode-hook 'rainbow-delimiters-mode)

(provide 'oni-lua)
;;; oni-lua.el ends here
