;;; oni-conf-test.el --- Tests for oni-conf          -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;;

;;; Code:

(require 'oni-conf)

(ert-deftest oni-conf-test-autoloads ()
  "Test that snippets get loaded autmatically."
  (require 'conf-mode)
  (require 'yasnippet)
  (should (member oni-conf-snippets-dir yas-snippet-dirs)))

(provide 'oni-conf-test)
;;; oni-conf-test.el ends here
