;;; oni-shackle.el --- Shackle configuration         -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210808
;; Package-Requires: (shackle)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for `shackle-mode'.

;;; Code:

(require 'shackle)

(setq shackle-rules
      '((compilation-mode :align 'below :size 0.33)
        (prodigy-mode :align 'below :size 0.33)
        (help-mode :select t)))

;;;###autoload
(shackle-mode)

(provide 'oni-shackle)
;;; oni-shackle.el ends here
