#!/usr/bin/env bats

@test "Opening a .conf file loads oni-conf" {
    run emacs -batch -l package -f package-initialize \
        -visit test.conf \
        -eval "(prin1 (featurep 'oni-conf))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Opening a .service file enables conf-mode" {
    run emacs -batch -l package -f package-initialize \
        -visit test.service \
        -eval "(prin1 (not (null (derived-mode-p major-mode 'conf-mode))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}
